org.apache.cayenne.util

## Interface XMLSerializable

- All Known Implementing Classes:
    AggregateConditionNode, ASTAbs, ASTAdd, ASTAggregateFunctionCall, ASTAnd, ASTAsterisk, ASTAvg, ASTBetween, ASTBitwiseAnd, ASTBitwiseLeftShift, ASTBitwiseNot, ASTBitwiseOr, ASTBitwiseRightShift, ASTBitwiseXor, ASTConcat, ASTCount, ASTCurrentDate, ASTCurrentTime, ASTCurrentTimestamp, ASTDbPath, ASTDivide, ASTEqual, ASTExtract, ASTFalse, ASTFullObject, ASTFunctionCall, ASTGreater, ASTGreaterOrEqual, ASTIn, ASTLength, ASTLess, ASTLessOrEqual, ASTLike, ASTLikeIgnoreCase, ASTList, ASTLocate, ASTLower, ASTMax, ASTMin, ASTMod, ASTMultiply, ASTNamedParameter, ASTNegate, ASTNot, ASTNotBetween, ASTNotEqual, ASTNotIn, ASTNotLike, ASTNotLikeIgnoreCase, ASTObjPath, ASTOr, ASTPath, ASTScalar, ASTSqrt, ASTSubstring, ASTSubtract, ASTSum, ASTTrim, ASTTrue, ASTUpper, Attribute, ConditionNode, DataChannelDescriptor, DataMap, DataNodeDescriptor, DataSourceInfo, DbAttribute, DbEntity, DbJoin, DbKeyGenerator, DbRelationship, DetectedDbEntity, EJBQLQuery, EJBQLQueryDescriptor, Embeddable, EmbeddableAttribute, EmbeddedAttribute, Entity, EntityListener, EvaluatedBitwiseNode, EvaluatedMathNode, EvaluatedNode, Expression, ObjAttribute, ObjEntity, ObjRelationship, Ordering, PatternMatchNode, PrefetchSelectQuery, PrefetchTreeNode, Procedure, ProcedureParameter, ProcedureQuery, ProcedureQueryDescriptor, QueryDescriptor, Relationship, SelectQuery, SelectQueryDescriptor, SimpleNode, SQLTemplate, SQLTemplateDescriptor

      public interface XMLSerializable

  Interface for Cayenne objects that can be saved to XML.
  Since:
    1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.

- - ### Method Detail

    - #### encodeAsXML

          void encodeAsXML(XMLEncoder encoder)

      Prints itself as XML to the provided XMLEncoder.
      Since:
        1.1

Copyright © 2001–2023 Apache Cayenne. All rights reserved.